What to do if it shows "bdp version is no longer supported, version must be v1.5+" when I played the content?
Please upgrade the bdp files to be compatible with X-Sign Player v1.5.<br> 1. For standalone mode, just rename the filename extension from bdp to sbdp.<br> 2. For Management (Network) mode, use "File/Import bdp task file" function on X-Sign Designer 1.5 to upgrade the files.
Need Help?

We are here for you. Anytime you need it.

Contact Us

Have inquiries or suggestions for us? We would love to hear from you.

Contact us now

View Our FAQs

All commonly asked questions are answered here.

Go to FAQs

Downloads

Find our latest apps, brochure, manual, software and more.

Go to Downloads